// Code generated by sqlc. DO NOT EDIT.
// versions:
//   sqlc v1.26.0
// source: create_records.sql

package queries

import (
	"net/netip"

	"github.com/gofrs/uuid"
	"github.com/jackc/pgx/v5/pgtype"
)

type CreateRecordsParams struct {
	ID                                      uuid.UUID
	GroupID                                 string
	CorrelationID                           uuid.UUID
	ActorType                               AuditlogActor
	ActorUserName                           *string
	ActorUserEmail                          *string
	ActorServiceSubjectCommonName           *string
	ActorServicePublicKeyThumbprint         *string
	EventType                               AuditlogEvent
	EventContractContentHash                *string
	EventServiceName                        *string
	EventFailedDistributionRetryContentHash *string
	EventFailedDistributionRetryPeerID      *string
	EventFailedDistributionRetryAction      NullAuditlogFailedDistributionRetryAction
	EventPeerID                             *string
	SourceType                              AuditlogSource
	SourceHttpIpAddress                     *netip.Addr
	SourceHttpUserAgent                     *string
	StatusType                              AuditlogStatus
	StatusError                             *string
	Component                               AuditlogComponent
	CreatedAt                               pgtype.Timestamptz
}
